Subject: Re: [PATCH] Marvell Libertas 8388 802.11b/g USB driver (v2)

From: Marcelo Tosatti <[email-masked]>
Date: Wed, 31 Jan 2007 22:58:51 -0200

Hi Jiri,

On Sat, Jan 20, 2007 at 06:15:54PM -0200, Marcelo Tosatti wrote:
> On Wed, Jan 17, 2007 at 04:43:28PM +0100, Jiri Benc wrote:
> > On Wed, 17 Jan 2007 10:01:12 -0500, Dan Williams wrote:
> > > But could we please be constructive here, and actually take a look at
> > > the driver and point out problems?
> > 
> > Just from a quick glance:
> > 
> > - drivers/net/wireless/libertas/radiotap.h file with a lot of constants
> >   already defined elsewhere (and not respecting kernel coding style,
> >   either)
> 
> Such as? The bit definitions (IEEE80211_RADIOTAP_F_{TX,RX}...) have been
> moved to include/net/ieee80211_radiotap.h in the second version of the
> patch. Is that what you were referring to?

I also converted the last piece of code which could be shared from
generic Linux code in radiotap.h, which is "struct ieee80211_hdr_4addr".

Can you go over it again and point any problems you might see? 

http://git.infradead.org/?p=libertas-2.6.git;a=blob;h=5d118f40cfbc43206369ec77082e220822318f11;hb=6a2277e41e4fd69e4f33cc7abc574aca8bca8abe;f=drivers/net/wireless/libertas/radiotap.h

> As for kernel coding style in that file, can you specify what looks
> wrong? It appears alright to me.

Again, coding style looks fine to me.

> > - regulatory domain management (already in ieee80211, in progress for
> >   d80211)
> > - the full authentication and association state machine (or am I
> >   understanding it wrong?)